post
https://api.staging.deliverect.io/catalog/accounts//itemsUploadUrl
Sync a retailer’s product Catalog with a file upload by first requesting a signed URL via Google Cloud Storage (GCS), then using a PUT request to upload a CSV to the provided URL. This allows the following to be updated;
Product categories
Product names and descriptions
PLU and GTINs
Product images
Product attributes and various taxonomies
Format
1.Request a Signed URL
Sending a request to this endpoint with a callbackUrl will return a signedUrl from GCS with specific headers.
2.Submit .csv file via PUT Request
Once a signedUrl is retrieved, the Item upload process is as follows;
- Your Item .csv file should be submitted via a PUT request to the
signedUrlwith all the headers provided - Deliverect will then process the CSV asynchronously and callback to the provided
callbackUrlwhen the CSV file has been fully processed.
